#
# spec file for package roccat-tools
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?_udevrulesdir: %global _udevrulesdir %(pkg-config --variable=udevdir udev)/rules.d}

Name:           roccat-tools
Version:        3.6.0
Release:        4.2
License:        GPL-2.0+ and CC-BY-3.0
Group:          Hardware/Other
Summary:        Common files shared along all Roccat tools
Url:            http://roccat.sourceforge.net
Source:         http://downloads.sourceforge.net/roccat/%{name}-%{version}.tar.bz2
BuildRequires:  hicolor-icon-theme
BuildRequires:  cmake >= 2.6.4
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gaminggear-0) >= 0.11.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.20
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libusb-1.0)
%if 0%{?suse_version} > 1320
BuildRequires:  lua52-devel
%else
BuildRequires:  lua-devel
%endif
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  python-devel
BuildRequires:  udev
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package        devel
Summary:        Development headers for Roccat tools
Group:          Development/Libraries/C and C++
Requires:       roccat-tools = %{version}

%package -n     roccat-arvo
Summary:        Roccat Arvo userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-arvo-devel
Summary:        Development header for Roccat Arvo
Group:          Development/Libraries/C and C++
Requires:       roccat-arvo = %{version}
Requires:       roccat-tools-devel = %{version}

%package -n     roccat-isku
Summary:        Roccat Isku userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-isku-devel
Summary:        Development header for Roccat Isku
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-isku = %{version}

%package -n     roccat-iskufx
Requires:       roccat-tools = %{version}
Requires:       roccat-isku = %{version}
Summary:        Roccat IskuFX userlandtools
Group:          Hardware/Other

%package -n     roccat-iskufx-devel
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-iskufx = %{version}
Requires:       roccat-isku-devel = %{version}
Summary:        Development header for Roccat IskuFX
Group:          Development/Libraries/C and C++

%package -n     roccat-kone
Summary:        Roccat Kone userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-kone-devel
Summary:        Development header for Roccat Kone
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-kone = %{version}

%package -n     roccat-koneplus
Summary:        Roccat Kone[+] userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-koneplus-devel
Summary:        Development header for Roccat Kone[+]
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-koneplus = %{version}

%package -n     roccat-konepure
Summary:        Roccat KonePure userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}
Requires:       roccat-konextd = %{version}

%package -n     roccat-konepure-devel
Summary:        Development header for Roccat KonePure
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-konepure = %{version}
Requires:       roccat-konextd-devel = %{version}

%package -n     roccat-konextd
Summary:        Roccat KoneXTD userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}
Requires:       roccat-koneplus = %{version}

%package -n     roccat-konextd-devel
Summary:        Development header for Roccat KoneXTD
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-koneplus-devel = %{version}
Requires:       roccat-konextd = %{version}

%package -n     roccat-kovaplus
Summary:        Roccat Kova[+] userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-kovaplus-devel
Summary:        Development header for Roccat Kova[+]
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-kovaplus = %{version}

%package -n     roccat-lua
Summary:        Roccat Lua userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-lua-devel
Summary:        Development header for Roccat Lua
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-lua = %{version}

%package -n     roccat-pyra
Summary:        Roccat Pyra userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-pyra-devel
Summary:        Development header for Roccat Pyra
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-pyra = %{version}

%package -n     roccat-savu
Summary:        Roccat Savu userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-savu-devel
Summary:        Development header for Roccat Savu
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-savu = %{version}

%package -n     roccat-ryos
Summary:        Roccat Ryos userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-ryos-devel
Summary:        Development header for Roccat Ryos
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-ryos = %{version}

%package -n     roccat-tyon
Summary:        Roccat Tyon userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-tyon-devel
Summary:        Development header for Roccat Tyon
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-tyon = %{version}

%package -n     roccat-nyth
Summary:        Roccat Nyth userlandtools
Group:          Hardware/Other
Requires:       roccat-tools = %{version}

%package -n     roccat-nyth-devel
Summary:        Development header for Roccat Nyth
Group:          Development/Libraries/C and C++
Requires:       roccat-tools-devel = %{version}
Requires:       roccat-nyth = %{version}

%description
Roccat consists of a shared library and other files shared by device specific
applications for Roccat hardware.

%description devel
Roccat consists of a shared library and other files shared by device specific
applications for Roccat hardware.
Here are the development headers needed to compile software that uses libroccat.

%description -n roccat-arvo
Arvo consists of a shared library, a console application and a GUI application.
It helps users of the arvo kernel driver to manipulate the profiles and settings
of a Roccat Arvo keyboard.

%description -n roccat-arvo-devel
Arvo consists of a shared library, a console application and a GUI application.
It helps users of the arvo kernel driver to manipulate the profiles and settings
of a Roccat Arvo keyboard.
These are the development headers needed to compile software that uses libarvo.

%description -n roccat-isku
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the profiles and settings
of a Roccat Isku keyboard.

%description -n roccat-isku-devel
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the profiles and settings
of a Roccat Isku keyboard.
These are the development headers needed to compile software that uses libisku.

%description -n roccat-iskufx
IskuFX consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the profiles and settings
of a Roccat IskuFX keyboard.

%description -n roccat-iskufx-devel
Isku consists of a shared library, a console application and a GUI application.
It helps users of the isku kernel driver to manipulate the profiles and settings
of a Roccat IskuFX keyboard.
These are the development headers needed to compile software that uses libiskufx.

%description -n roccat-kone
Kone consists of a shared library, a console application and a GUI application.
It helps users of the kone kernel driver to manipulate the profiles and settings
of a Roccat Kone mouse.

%description -n roccat-kone-devel
Kone consists of a shared library, a console application and a GUI application.
It helps users of the kone kernel driver to manipulate the profiles and settings
of a Roccat Kone mouse.
Here are the development headers needed to compile software that uses libkone.

%description -n roccat-koneplus
Koneplus consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the profiles and settings
of a Roccat Kone[+] mouse.

%description -n roccat-koneplus-devel
Koneplus consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the profiles and settings
of a Roccat Kone[+] mouse.
Here are the development headers needed to compile software that uses libkoneplus.

%description -n roccat-konepure
Konepure consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the profiles and settings
of a Roccat KonePure mouse.

%description -n roccat-konepure-devel
Konepure consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the profiles and settings
of a Roccat KonePure mouse.
Here are the development headers needed to compile software that uses libkonepure.

%description -n roccat-konextd
Konextd consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the profiles and settings
of a Roccat KoneXTD mouse.

%description -n roccat-konextd-devel
Konextd consists of a shared library, a console application and a GUI application.
It helps users of the koneplus kernel driver to manipulate the profiles and settings
of a Roccat KoneXTD mouse.
Here are the development headers needed to compile software that uses libkonextd.

%description -n roccat-kovaplus
Kovaplus consists of a shared library, a console application and a GUI application.
It helps users of the kovaplus kernel driver to manipulate the profiles and settings
of a Roccat Kova[+] mouse.

%description -n roccat-kovaplus-devel
Kovaplus consists of a shared library, a console application and a GUI application.
It helps users of the kovaplus kernel driver to manipulate the profiles and settings
of a Roccat Kova[+] mouse.
Here are the development headers needed to compile software that uses libkovaplus.

%description -n roccat-lua
Lua consists of a shared library, a console application and a GUI application.
It helps users of the lua kernel driver to manipulate the Settings of a Roccat Lua
mouse.

%description -n roccat-lua-devel
Lua consists of a shared library, a console application and a GUI application.
It helps users of the lua kernel driver to manipulate the Settings of a Roccat Lua
mouse.
Here are the development headers needed to compile software that uses liblua.

%description -n roccat-pyra
Pyra consists of a shared library, a console application and a GUI application.
It helps users of the pyra kernel driver to manipulate the profiles and settings
of a Roccat Pyra mouse.

%description -n roccat-pyra-devel
Pyra consists of a shared library, a console application and a GUI application.
It helps users of the pyra kernel driver to manipulate the profiles and settings
of a Roccat Pyra mouse.
Here are the development headers needed to compile software that uses libpyra.

%description -n roccat-savu
Savu consists of a shared library, a console application and a GUI application.
It helps users of the savu kernel driver to manipulate the profiles and settings
of a Roccat Savu mouse.

%description -n roccat-savu-devel
Savu consists of a shared library, a console application and a GUI application.
It helps users of the savu kernel driver to manipulate the profiles and settings
of a Roccat Savu mouse.
Here are the development headers needed to compile software that uses libsavu.

%description -n roccat-ryos
Ryos consists of a shared library, a console application and a GUI application.
It helps users of the ryos kernel driver to manipulate the profiles and settings
of a Roccat Ryos mouse.

%description -n roccat-ryos-devel
Ryos consists of a shared library, a console application and a GUI application.
It helps users of the ryos kernel driver to manipulate the profiles and settings
of a Roccat Ryos mouse.
Here are the development headers needed to compile software that uses libryos.

%description -n roccat-tyon
Tyon consists of a shared library, a console application and a GUI application.
It helps users of the tyon kernel driver to manipulate the profiles and settings
of a Roccat Tyon mouse.

%description -n roccat-tyon-devel
Tyon consists of a shared library, a console application and a GUI application.
It helps users of the tyon kernel driver to manipulate the profiles and settings
of a Roccat Tyon mouse.
Here are the development headers needed to compile software that uses libtyon.

%description -n roccat-nyth
Nyth consists of a shared library, a console application and a GUI application.
It helps users of the Nyth kernel driver to manipulate the profiles and settings
of a Roccat Nyth mouse.

%description -n roccat-nyth-devel
Nyth consists of a shared library, a console application and a GUI application.
It helps users of the Nyth kernel driver to manipulate the profiles and settings
of a Roccat Nyth mouse.
Here are the development headers needed to compile software that uses libtyon.


%prep
%setup -q -n roccat-tools-%{version}

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX="%{_prefix}" -DCMAKE_VERBOSE_MAKEFILE=ON -DWITH_LUA=5.2 ..
make V=1

%install
cd build
make DESTDIR=%{buildroot} install V=1

# http://sourceforge.net/p/roccat/bugs/35/
mkdir --parents %{buildroot}%{_localstatedir}/lib/roccat
%find_lang roccat-tools
find %{buildroot}%{_datadir}/roccat/ -name \*.lc -print -delete

%pre
/usr/sbin/groupadd roccat >/dev/null 2>&1 || :
/usr/sbin/useradd -g roccat -s /bin/false -r -c "Roccat Hardware" -d %{_localstatedir}/lib/roccat roccat >/dev/null 2>&1 || :

%post
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
echo 'You need to add yourself to the roccat group and relogin to let the userland tools gain access to the drivers.'

%postun
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun

%post -n roccat-arvo
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-arvo
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-isku
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-isku
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-iskufx
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-iskufx
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-kone
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-kone
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-koneplus
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-koneplus
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-konepure
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-konepure
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-konextd
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-konextd
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-kovaplus
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-kovaplus
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-lua
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-lua
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-pyra
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-pyra
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-savu
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-savu
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-ryos
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-ryos
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-tyon
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-tyon
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%post -n roccat-nyth
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%{?udev_rules_update:%udev_rules_update}

%postun -n roccat-nyth
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%{?udev_rules_update:%udev_rules_update}

%files -f build/roccat-tools.lang
%defattr(-,root,root)
%doc README COPYING Changelog
/etc/xdg/autostart/roccateventhandler.desktop
%{_bindir}/roccateventhandler
%dir %{_datadir}/roccat/
%{_datadir}/roccat/sounds/
%{_datadir}/icons/hicolor/*/apps/roccat.png
%dir %{_libdir}/gaminggear_plugins/
%dir %{_libdir}/roccat/
%dir %{_mandir}/*/
%dir %{_mandir}/*/man1/
%attr(2770, roccat, roccat) %{_localstatedir}/lib/roccat
%{_libdir}/libroccat.so.*
%{_libdir}/libroccatwidget.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libroccat.so
%{_libdir}/libroccatwidget.so

%files -n roccat-arvo
%defattr(-,root,root)
%{_bindir}/roccatarvoconfig
%{_bindir}/roccatarvocontrol
%{_libdir}/libroccatarvo.so.*
%{_libdir}/roccat/libarvoeventhandler.so
%{_udevrulesdir}/90-roccat-arvo.rules
%{_datadir}/man/*/man1/roccatarvocontrol.1*
%{_datadir}/applications/roccatarvoconfig.desktop

%files -n roccat-arvo-devel
%defattr(-,root,root)
%{_libdir}/libroccatarvo.so

%files -n roccat-isku
%defattr(-,root,root)
%{_bindir}/roccatiskuconfig
%{_bindir}/roccatiskucontrol
%{_libdir}/libroccatisku.so.*
%{_libdir}/libroccatiskuwidget.so.*
%{_libdir}/roccat/libiskueventhandler.so
%{_udevrulesdir}/90-roccat-isku.rules
%{_datadir}/man/*/man1/roccatiskucontrol.1*
%{_datadir}/applications/roccatiskuconfig.desktop

%files -n roccat-isku-devel
%defattr(-,root,root)
%{_libdir}/libroccatisku.so
%{_libdir}/libroccatiskuwidget.so

%files -n roccat-iskufx
%defattr(-,root,root)
%{_bindir}/roccatiskufxconfig
%{_bindir}/roccatiskufxcontrol
%{_libdir}/libroccatiskufx.so.*
%{_libdir}/gaminggear_plugins/libiskufxgfxplugin.so
%{_libdir}/roccat/libiskufxeventhandler.so
%{_udevrulesdir}/90-roccat-iskufx.rules
%{_datadir}/man/*/man1/roccatiskufxcontrol.1*
%{_datadir}/applications/roccatiskufxconfig.desktop

%files -n roccat-iskufx-devel
%defattr(-,root,root)
%{_libdir}/libroccatiskufx.so

%files -n roccat-kone
%defattr(-,root,root)
%{_bindir}/roccatkoneconfig
%{_bindir}/roccatkonecontrol
%{_libdir}/libroccatkone.so.*
%{_libdir}/roccat/libkoneeventhandler.so
%{_udevrulesdir}/90-roccat-kone.rules
%{_datadir}/man/*/man1/roccatkonecontrol.1*
%{_datadir}/applications/roccatkoneconfig.desktop

%files -n roccat-kone-devel
%defattr(-,root,root)
%{_libdir}/libroccatkone.so

%files -n roccat-koneplus
%defattr(-,root,root)
%{_bindir}/roccatkoneplusconfig
%{_bindir}/roccatkonepluscontrol
%{_libdir}/libroccatkoneplus.so.*
%{_libdir}/libroccatkonepluswidget.so.*
%{_libdir}/gaminggear_plugins/libkoneplusgfxplugin.so
%{_libdir}/roccat/libkonepluseventhandler.so
%{_udevrulesdir}/90-roccat-koneplus.rules
%{_datadir}/man/*/man1/roccatkonepluscontrol.1*
%{_datadir}/applications/roccatkoneplusconfig.desktop

%files -n roccat-koneplus-devel
%defattr(-,root,root)
%{_libdir}/libroccatkoneplus.so
%{_libdir}/libroccatkonepluswidget.so

%files -n roccat-konepure
%defattr(-,root,root)
%{_bindir}/roccatkonepureconfig
%{_bindir}/roccatkonepurecontrol
%{_bindir}/roccatkonepuremilitaryconfig
%{_bindir}/roccatkonepuremilitarycontrol
%{_bindir}/roccatkonepureopticalconfig
%{_bindir}/roccatkonepureopticalcontrol
%{_libdir}/libroccatkonepuremilitary.so.*
%{_libdir}/libroccatkonepuremilitarywidget.so.*
%{_libdir}/libroccatkonepureoptical.so.*
%{_libdir}/libroccatkonepure.so.*
%{_libdir}/libroccatkonepurewidget.so.*
%{_libdir}/gaminggear_plugins/libkonepuregfxplugin.so
%{_libdir}/gaminggear_plugins/libkonepuremilitarygfxplugin.so
%{_libdir}/gaminggear_plugins/libkonepureopticalgfxplugin.so
%{_libdir}/roccat/libkonepureeventhandler.so
%{_libdir}/roccat/libkonepuremilitaryeventhandler.so
%{_libdir}/roccat/libkonepureopticaleventhandler.so
%{_udevrulesdir}/90-roccat-konepuremilitary.rules
%{_udevrulesdir}/90-roccat-konepureoptical.rules
%{_udevrulesdir}/90-roccat-konepure.rules
%{_datadir}/man/*/man1/roccatkonepurecontrol.1*
%{_datadir}/man/*/man1/roccatkonepuremilitarycontrol.1*
%{_datadir}/man/*/man1/roccatkonepureopticalcontrol.1*
%{_datadir}/applications/roccatkonepureconfig.desktop
%{_datadir}/applications/roccatkonepuremilitaryconfig.desktop
%{_datadir}/applications/roccatkonepureopticalconfig.desktop

%files -n roccat-konepure-devel
%defattr(-,root,root)
%{_libdir}/libroccatkonepuremilitary.so
%{_libdir}/libroccatkonepuremilitarywidget.so
%{_libdir}/libroccatkonepureoptical.so
%{_libdir}/libroccatkonepure.so
%{_libdir}/libroccatkonepurewidget.so

%files -n roccat-konextd
%defattr(-,root,root)
%{_bindir}/roccatkonextdconfig
%{_bindir}/roccatkonextdcontrol
%{_bindir}/roccatkonextdopticalconfig
%{_bindir}/roccatkonextdopticalcontrol
%{_libdir}/libroccatkonextdoptical.so.*
%{_libdir}/libroccatkonextd.so.*
%{_libdir}/libroccatkonextdwidget.so.*
%{_libdir}/gaminggear_plugins/libkonextdgfxplugin.so
%{_libdir}/gaminggear_plugins/libkonextdopticalgfxplugin.so
%{_libdir}/roccat/libkonextdeventhandler.so
%{_libdir}/roccat/libkonextdopticaleventhandler.so
%{_udevrulesdir}/90-roccat-konextdoptical.rules
%{_udevrulesdir}/90-roccat-konextd.rules
%{_datadir}/man/*/man1/roccatkonextdcontrol.1*
%{_datadir}/man/*/man1/roccatkonextdopticalcontrol.1*
%{_datadir}/applications/roccatkonextdconfig.desktop
%{_datadir}/applications/roccatkonextdopticalconfig.desktop

%files -n roccat-konextd-devel
%defattr(-,root,root)
%{_libdir}/libroccatkonextdoptical.so
%{_libdir}/libroccatkonextd.so
%{_libdir}/libroccatkonextdwidget.so

%files -n roccat-kovaplus
%defattr(-,root,root)
%{_bindir}/roccatkovaplusconfig
%{_bindir}/roccatkovapluscontrol
%{_libdir}/libroccatkovaplus.so.*
%{_libdir}/roccat/libkovapluseventhandler.so
%{_udevrulesdir}/90-roccat-kovaplus.rules
%{_datadir}/man/*/man1/roccatkovapluscontrol.1*
%{_datadir}/applications/roccatkovaplusconfig.desktop

%files -n roccat-kovaplus-devel
%defattr(-,root,root)
%{_libdir}/libroccatkovaplus.so

%files -n roccat-lua
%defattr(-,root,root)
%{_bindir}/roccatluaconfig
%{_bindir}/roccatluacontrol
%{_libdir}/libroccatlua.so.*
%{_libdir}/roccat/libluaeventhandler.so
%{_udevrulesdir}/90-roccat-lua.rules
%{_datadir}/man/*/man1/roccatluacontrol.1*
%{_datadir}/applications/roccatluaconfig.desktop

%files -n roccat-lua-devel
%defattr(-,root,root)
%{_libdir}/libroccatlua.so

%files -n roccat-pyra
%defattr(-,root,root)
%{_bindir}/roccatpyraconfig
%{_bindir}/roccatpyracontrol
%{_libdir}/libroccatpyra.so.*
%{_libdir}/roccat/libpyraeventhandler.so
%{_udevrulesdir}/90-roccat-pyra.rules
%{_datadir}/man/*/man1/roccatpyracontrol.1*
%{_datadir}/applications/roccatpyraconfig.desktop

%files -n roccat-pyra-devel
%defattr(-,root,root)
%{_libdir}/libroccatpyra.so

%files -n roccat-savu
%defattr(-,root,root)
%{_bindir}/roccatsavuconfig
%{_bindir}/roccatsavucontrol
%{_libdir}/libroccatsavu.so.*
%{_libdir}/roccat/libsavueventhandler.so
%{_udevrulesdir}/90-roccat-savu.rules
%{_datadir}/man/*/man1/roccatsavucontrol.1*
%{_datadir}/applications/roccatsavuconfig.desktop

%files -n roccat-savu-devel
%defattr(-,root,root)
%{_libdir}/libroccatsavu.so

%files -n roccat-ryos
%defattr(-,root,root)
%{_bindir}/roccatryosmkconfig
%{_bindir}/roccatryosmkcontrol
%{_bindir}/roccatryostklconfig
%{_bindir}/roccatryostklcontrol
%{_libdir}/libroccatryosmk.so.*
%{_libdir}/libroccatryosmkwidget.so.*
%{_libdir}/libroccatryostkl.so.*
%{_libdir}/roccat/libryosmkeventhandler.so
%{_libdir}/roccat/libryostkleventhandler.so
%{_datadir}/roccat/ryosmk_ripple_modules/
%{_datadir}/roccat/ryostkl_ripple_modules/
%{_udevrulesdir}/90-roccat-ryosmk.rules
%{_udevrulesdir}/90-roccat-ryostkl.rules
%{_datadir}/man/*/man1/roccatryosmkcontrol.1*
%{_datadir}/man/*/man1/roccatryostklcontrol.1*
%{_datadir}/applications/roccatryosmkconfig.desktop
%{_datadir}/applications/roccatryostklconfig.desktop

%files -n roccat-ryos-devel
%defattr(-,root,root)
%{_libdir}/libroccatryosmk.so
%{_libdir}/libroccatryosmkwidget.so
%{_libdir}/libroccatryostkl.so

%files -n roccat-tyon
%defattr(-,root,root)
%{_bindir}/roccattyonconfig
%{_bindir}/roccattyoncontrol
%{_libdir}/libroccattyon.so.*
%{_libdir}/gaminggear_plugins/libtyongfxplugin.so
%{_libdir}/roccat/libtyoneventhandler.so
%{_udevrulesdir}/90-roccat-tyon.rules
%{_datadir}/man/*/man1/roccattyoncontrol.1*
%{_datadir}/applications/roccattyonconfig.desktop

%files -n roccat-tyon-devel
%defattr(-,root,root)
%{_libdir}/libroccattyon.so

%files -n roccat-nyth
%defattr(-,root,root)
%{_bindir}/roccatnythconfig
%{_bindir}/roccatnythcontrol
%{_libdir}/libroccatnyth.so.*
%{_libdir}/gaminggear_plugins/libnythgfxplugin.so
%{_libdir}/roccat/libnytheventhandler.so
%{_udevrulesdir}/90-roccat-nyth.rules
%{_datadir}/man/*/man1/roccatnythcontrol.1*
%{_datadir}/applications/roccatnythconfig.desktop

%files -n roccat-nyth-devel
%defattr(-,root,root)
%{_libdir}/libroccatnyth.so

%changelog
* Wed Aug 19 2015 mrueckert@suse.de
- update to 3.6.0
  * Added: Support for Nyth
  * Added: New soundfiles
  * Added: Firmware updater for Ryos TKL Pro
  * Removed: Firmware updater for Tyon
* Tue Aug  4 2015 mrueckert@suse.de
- if you use a group in the filelist, also add it
* Mon Aug  3 2015 mrueckert@suse.de
- enable lua support
  - new BR lua 5.2 devel
  - we don't ship the .lc files yet as our rpmlint check thinks it
    is an ELF file
- add %%post/%%postin for roccat-tyon
* Mon Aug  3 2015 mrueckert@suse.de
- update to 3.5.0
  - 3.5.0 2015-06-26
  - Improved: Ryos multimedia button behaviour is now
    automatically corrected
  - Improved: Software shortcuts (Kova[+], Pyra) are now kept
    active as long as button is pressed.
  - Fixed: Kone udev rule now sets file permissions again
  - 3.4.0 2015-05-23
  - Added: Custom color support for KoneXTD and KonePure range
    devices
  - Changed: Updated to libgaminggear uinput interface
  - Fixed: Library dependencies
  - Fixed: Added missing strings to be translated
  - 3.3.0 2015-04-18
  - Added: German translations
  - Added: Options to correct Ryos Multimedia button behaviour
  - Added: Support for Roccat Kone Pure Black (handled by
    konepuremilitary)
  - Added: Support for Lua 5.2
  - Improved: Ryos range now supports keyboard layouts
  - Improved: Gaminggearfx plugins allow NULL parameters
  - Fixed: Build problems
  - Fixed: Library dependencies, eliminating unresolved symbols
    and reducing overlinking
  - Fixed: Gfx problems with some Kone range devices
  - Fixed: RyosTKL Lua modules path
  - 3.2.0 2015-03-11
  - Added: Support for Gaminggearfx
  - Changed: cleaned up dbus interface
  - Improved: spec file now uses standard macros
  - 3.1.0 2015-02-24
  - Added: Support for Ryos TKL Pro
  - Fixed: Dbus interface names
  - Fixed: Cpi handling for KonePureOptical
  - Fixed: OpenGui now opens right application
  - Fixed: Some typos in error messages and manpages
  - 3.0.0 2015-02-08
  - Added: Configuration option EVENTHANDLER_PLUGIN_DIR
  - Changed: Replaced Python with Lua as RyosMK ripple-scripting
    engine. Also support compilation has to be explicitly
    switched on with WITH_LUA
  - Changed: Everything got a roccat prefix to prevent
    ambiguities, libraries additionally got moved to library base
    folder, so no linker path modification is needed
* Fri Apr  3 2015 mailaender@opensuse.org
- fix boo#925799 http://sourceforge.net/p/roccat/bugs/35/
* Sun Feb  1 2015 mailaender@opensuse.org
- update to version 2.4.0
* Sun Jan 11 2015 mailaender@opensuse.org
- update to version 2.3.0
  + Adds support for Roccat Tyon
* Sat Jul  5 2014 mailaender@opensuse.org
- update to version 2.1.0
* Wed Jul  2 2014 mailaender@opensuse.org
- fix "nothing provides roccat = 2.0.0 needed by roccat-isku-2.0.0"
* Sat Jun 14 2014 mailaender@opensuse.org
- update to 2.0.0
  + Added support for Kone XTD Optical.
  + Fixed things for various devices.
  + All devices except Kone and Arvo are now completely handled by userspace code.
  + No more kernel module problems for these devices.
  + All userspace handled devices now have graphical firmware updaters.
  + Firmware update from text console is still supported and is merged in *control applications.
- changes from 1.6.0
  + Added support for Kone Pure Military. This is a userspace-only implementation so no kernel module is needed.
  + Ryos is now pure userspace too. No kernel module is needed anymore.
  + Ryos now supports Python scripted ripple effects.
* Wed Apr 16 2014 mailaender@opensuse.org
- update to 1.5.0
  + transition to libgaminggear with an improved version of the macro editor
* Fri Feb 28 2014 mailaender@opensuse.org
- update to 1.4.1
* Sun Feb 16 2014 mailaender@opensuse.org
- update to 1.4.0
* Sat Jan 11 2014 mailaender@opensuse.org
- update to version 1.3.0
  + Fixed: KonePure and KonePureOptical macro problems
  + Fixed: Actual profile changing twice when using settings tab
  + Fixed: Multiple device warnings on replug after firmware update
  + Improved: Default profile can now be switched off
  + Improved: Sound playback now with per-device configurable volume
  + Improved: Sensitivity change now supports audio notifications
  + Improved: Shortcut dialog allows toggling modifier checkboxes with key press
  + Improved: Profile save dialogs show filename proposition and add extension if needed
  + Changed: Device reset now lives in misc menu
* Sat Nov 23 2013 mailaender@opensuse.org
- update to version 1.1.0
  + A "live layer illumination editor" for Ryos MK Pro.
- changes from 1.0.0
  + gamefile settings handling is now more resource friendly
  + multi-user compatibility
  + The TalkFX interface changed
    and the SDK is now up-to-date with Roccats newest incarnation v0.2
- changes from 0.23.0
  + Talk has been updated to be compatible with Roccats Talk2.
  + Ryos now has all Talk features and got RippleFX support, remap now works as expected.
- changes from 0.22.0
  + adds support for RyosMK and a few fixes and improvements.
* Sat Sep 21 2013 mailaender@opensuse.org
- update to version 0.21.0
* Thu Jul  4 2013 mailaender@opensuse.org
- update to version 0.20.0
  + support for evdev and nothing else.
* Sat Apr 13 2013 mailaender@opensuse.org
- update to version 0.17.0
  + roccatgui has been completely replaced with it's new implementation roccateventhandler,
    removing libunique as a dependency.
  + Arvo and Kone now support media keys. Arvo now also supports mouse events in macro playback.
    These new features make use of the uinput kernel module.
* Sat Mar  9 2013 mailaender@opensuse.org
- remove sudo pop-up and remind user to add himself to the roccat group instead
* Sat Mar  9 2013 mailaender@opensuse.org
- update to version 0.16.0
- add sudo password popup to .desktop file (avoids "Error reading actual profile")
* Sun Dec 30 2012 mrueckert@suse.de
- package based on upstream spec file.
  changes:
  - spec cleaner
  - fixed file conflicts
  - moved cmake call to the build section
  - converted buildrequires to pkgconfig()
